/* $Id$

This file is part of libmspal
Copyright © 2008 Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_AL_STREAMER_H_
#define MSP_AL_STREAMER_H_

#include <list>
#include "source.h"

namespace Msp {
namespace AL {

class Sound;
class Buffer;

class Streamer
{
private:
	Source &src;
	Sound  *snd;
	std::list<Buffer *> buffers;

public:
	Streamer(Source &);
	~Streamer();

	void play(Sound &);
	void stop();
	void tick();
};

} // namespace AL
} // namespace Msp

#endif
